package com.cydzs.dao.impl;

import com.cydzs.commons.JdbcUtils;
import com.cydzs.dao.UserLoginDao;
import com.cydzs.pojo.Users;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

/**
 * @Author: Cydzs
 * @GreateTime:2021/5/28
 *
 **/
public class UserLoginDaoImpl implements UserLoginDao {
    /**
     * 用户登陆的数据库查询
     * @param username
     * @param userpwd
     * @return
     */
    @Override
    public Users selectUsersByUserNameAndUserPwd(String username, String userpwd) {
        Connection conn =null;
        Users user = null;
        try {
            conn = JdbcUtils.getConnection();
            System.out.println("conn = " + conn);
            PreparedStatement ps = conn.prepareStatement("select *from users where username=? and userpwd=? ");
            ps.setString(1,username);
            ps.setString(2,userpwd);
            ResultSet resultSet = ps.executeQuery();
            while (resultSet.next()){
                 user = new Users();
                 user.setUserid(resultSet.getInt("userid"));
                 user.setUsername(resultSet.getString("username"));
                 user.setUserpwd(resultSet.getString("userpwd"));
                 user.setUsersex(resultSet.getString("userpwd"));
                 user.setPhonenumber(resultSet.getString("phonenumber"));
                 user.setQqnumber(resultSet.getString("qqnumber"));

            }

        }catch (Exception e){
            e.printStackTrace();
        }
        return user;
    }
}
