package com.cydzs.service.impl;

import com.cydzs.dao.UserLoginDao;
import com.cydzs.dao.impl.UserLoginDaoImpl;
import com.cydzs.exception.UserNotFoundException;
import com.cydzs.pojo.Users;
import com.cydzs.service.UserLoginService;

/**
 * @Author: Cydzs
 * @GreateTime:2021/5/28
 * 用户登陆业务
 **/
public class UserLoginServiceImpl implements UserLoginService {
    /**
     * 用户登陆
     * @param username
     * @param userpwd
     * @return
     */
    @Override
    public Users userLogin(String username, String userpwd) {
        UserLoginDao userLoginDao = new UserLoginDaoImpl();
        Users user = userLoginDao.selectUsersByUserNameAndUserPwd(username, userpwd);
        if (user==null){
            throw new UserNotFoundException("用户名或密码错误");
        }
        return user;


    }
}
